Skip to main content
POST
/
addresses
Create an address
curl --request POST \
  --url https://api.equalsmoney.com/v2/addresses \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "office",
  "nickName": "office",
  "addressLine1": "Great Building",
  "addressLine2": "Four Maple Street",
  "addressLine3": "Southwark",
  "addressContact": "Brian May",
  "city": "string",
  "postcode": "SE13UB",
  "country": "England"
}
'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "type": "office",
  "nickName": "office",
  "addressLine1": "Great Building",
  "addressLine2": "Four Maple Street",
  "addressLine3": "Southwark",
  "addressContact": "Brian May",
  "city": "string",
  "postcode": "SE13UB",
  "country": "England",
  "countryCode": "GB"
}

Documentation Index

Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

Body

application/json

Body

type
string
required

The address type.

Example:

"office"

addressLine1
string
required

The first line of the address.

Required string length: 1 - 256
Example:

"Great Building"

city
string
required

The city of the address.

Maximum string length: 256
postcode
string
required

The postal or ZIP code of the address.

Maximum string length: 50
Example:

"SE13UB"

country
string
required

The country of the address.

Maximum string length: 256
Example:

"England"

nickName
string

The nickname of the address.

Maximum string length: 256
Example:

"office"

addressLine2
string

The second line of the address.

Maximum string length: 256
Example:

"Four Maple Street"

addressLine3
string

The third line of the address.

Maximum string length: 256
Example:

"Southwark"

addressContact
string

The name of the contact associated with the address.

Maximum string length: 256
Example:

"Brian May"

Response

201 - application/json

Created

id
string<uuid>
required

The ID of the address.

type
string
required

The address type.

Example:

"office"

addressLine1
string
required

The first line of the address.

Required string length: 1 - 256
Example:

"Great Building"

city
string
required

The city of the address.

Maximum string length: 256
postcode
string
required

The postal or ZIP code of the address.

Maximum string length: 50
Example:

"SE13UB"

country
string
required

The country of the address.

Maximum string length: 256
Example:

"England"

nickName
string | null

The nickname of the address.

Maximum string length: 256
Example:

"office"

addressLine2
string | null

The second line of the address.

Maximum string length: 256
Example:

"Four Maple Street"

addressLine3
string | null

The third line of the address.

Maximum string length: 256
Example:

"Southwark"

addressContact
string | null

The name of the contact associated with the address.

Maximum string length: 256
Example:

"Brian May"

countryCode
string | null

ISO 3166-1 2 digit country code.

Maximum string length: 2
Example:

"GB"